Module jdk.compiler
Package com.sun.source.tree

## Interface UsesTree

- All Superinterfaces:
    `DirectiveTree`, `Tree`

      public interface UsesTree
      extends DirectiveTree

  A tree node for a 'uses' directive in a module declaration. For example:

          uses service-name;

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getServiceName()` | Returns the name of the service type.

    - ### Methods declared in interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getServiceName

          ExpressionTree getServiceName()

      Returns the name of the service type.
      Returns:
        the name of the service type